//
//  ViewController.swift
//  RunACRExampleSwift
//
//  Created by Andrei Solovjev on 08.11.2019.
//  Copyright © 2019 Andrey Solovyev. All rights reserved.
//

import UIKit
import RunACRSDK

class ViewController: UIViewController {

    @IBOutlet weak var buttonRecognize: UIButton!
    @IBOutlet weak var labelResult: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        initRunACR()
    }
    
    
    func initRunACR(){
        
        RunACR.sharedInstance()?.initialize(withAPIKey: "23541eb601555bd15ee658741aa070b2")
        let path = Bundle.main.path(forResource: "example", ofType: "runacr")
        RunACR.sharedInstance()?.updateDatabasePath(path)
        RunACR.sharedInstance()?.delegate = self
    }
    
    
    @IBAction func onRecognize(_ sender: Any) {
        RunACR.sharedInstance()?.startRecognize()
        
        buttonRecognize.isHidden = true
        labelResult.text = ".."
    }
    


}

extension ViewController:RunACRDelegate{
    
    func didRecognize(_ trackId: Int32, absoluteTimeOffset: Float, relativeTimeOffset: Float) {
        
        let formatter = DateComponentsFormatter()
        formatter.allowedUnits = [.hour, .minute, .second]
        formatter.unitsStyle = .full

        let str = formatter.string(from: TimeInterval(relativeTimeOffset))!
        

        if (trackId == 1){
            labelResult.text = "iPhone 7 – Design \(str)"
        } else if trackId == 2{
            labelResult.text = "Samsung - Surf - The Snail \(str)"
        }
        buttonRecognize.isHidden = false
        
        
        
    }
    
    func didNotRecognize() {
        buttonRecognize.isHidden = false
        labelResult.text = "Not Found.";
    }
    
}

